### Method

# Gio Settings list_keys

deprecated: 2.46

#### Declaration [src]

    gchar**
    g_settings_list_keys (
      GSettings* settings
    )

#### Description [src]

Introspects the list of keys on `settings`.

You should probably not be calling this function from ‘normal’ code (since you should already know what keys are in your schema). This function is intended for introspection reasons.

You should free the return value with `g_strfreev()` when you are done with it.

Deprecated since: 2.46

Use `g_settings_schema_list_keys()` instead.

#### Return value

Type: An array of `utf8`

A list of the keys on `settings`, in no defined order.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.